/*************************************************************************
	File:	wave_pblc.h

	FormZ data model translator sample.  Imports and exports Wavefront OBJ files.

	COPYRIGHT (C) 2001.  All Rights Reserved.
	auto*des*sys, Inc., Columbus, Ohio, USA.
*************************************************************************/

#ifndef __WAVE_PBLC_H
#define __WAVE_PBLC_H 1

#include "formz_vendor.h"
#include "fzpl_plugin.h"

/* Wavefront OBJ Translator Plugin Identification */
/* UUID : {5d68a629-920a-4028-acae-eedde7d00cc2} */

#define WAVE_PLUGIN_ID			"\x5d\x68\xa6\x29\x92\x0a\x40\x28\xac\xae\xee\xdd\xe7\xd0\x0c\xc2"	/* Reference 2714 */
#define WAVE_PLUGIN_NAME		"Wavefront OBJ File translator - SDK Sample"
#define WAVE_PLUGIN_VERSION		FZPL_VERS_MAKE(6,1,0,0)
#define WAVE_PLUGIN_VENDOR		FORMZ_VENDOR
#define WAVE_PLUGIN_URL			FORMZ_VENDOR_URL


#endif /* __WAVE_PBLC_H */
