/*********************************************************************************************
 *                                                                                           *
 *                                                                                           *
 *   Copyright 1989-2018 by AutoDesSys, Inc.                                                 *
 *                                                                                           *
 *   This software and its associated documentation contains proprietary,                    *
 *   confidential, and trade secret information of AutoDesSys Inc. and may not be            *
 *   disclosed, copied in any form, or used for any purpose except as specifically           *
 *   permitted in writing by AutoDesSys, Inc.                                                *
 *                                                                                           *
 *   AutoDesSys, Inc. grants permission to use the software to those who purchase            *
 *   a license.  Such a usage will be made according to the terms and conditions             *
 *   specified in the license agreement to which a licensee agrees before installing         *
 *   and commencing usage of the software.  The license agreement can be found               *
 *   on the envelop that contains the software CD.                                           *
 *                                                                                           *
 *   AutoDesSys, Inc. also grants permission to licensees to develop extensions to           *
 *   the software, which can be in the form of scripts or plugins.  The permission           *
 *   includes calling the API and call back functions provided by AutoDesSys, Inc.           *
 *   and accessing information relevant to these functions and the general workings          *
 *   of form.Z, but only up to the point to which AutoDesSys, Inc. has chosen to             *
 *   expose, through its form.Z SDK Manual.  All extensions developed by third               *
 *   parties will include a copy of this copyright note in an easily accessible place or     *
 *   a clear instruction to read this original note by AutoDesSys, Inc.                      *
 *                                                                                           *
 *   All the software distributed under a license, either for the purpose of using it or     *
 *   for the purpose of developing extensions, is distributed AS IS, WITHOUT                 *
 *   WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND                                    *
 *   AutoDesSys, Inc. HEREBY DISCLAIMS ALL SUCH WARRANTIES,                                  *
 *   INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF                                         *
 *   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.                                    *
 *                                                                                           *
 *   formZ, RenderZone, and RadioZity are registered trademarks of AutoDesSys, Inc.          *
 *                                                                                           *
 *   form.Z SDK, Version 8.6.3, Dec 03, 2018                                                 *
 *                                                                                           *
 *                                                                                           *
 *********************************************************************************************/


39: 
40: 
41: 17: 
42: 18: #ifndef __FORMZ_FSL_H
43: 19: #define	__FORMZ_FSL_H
44: 20: 
45: 21: #ifdef __cplusplus
46: 22: extern "C" {
47: 23: #endif
48: 24: 
49: 25: 
50: 35: 
51: 36: #include "fzpl_plugin.h"
52: 37: 
53: 52: 
54: 62: #define FZ_SHDR_COLR_EXTS_TYPE			"\x78\x97\xce\x89\xaf\x53\x4f\x78\x88\xa6\x1a\xe9\x94\x0f\xda\x5a"
55: 72: #define FZ_SHDR_REFL_EXTS_TYPE			"\x89\x40\x7b\x91\x32\x4e\x4d\x5d\xbc\x75\x16\xce\x40\xa1\x8c\x65"
56: 82: #define FZ_SHDR_TRNS_EXTS_TYPE			"\xfc\x0c\xe4\xdf\x08\x10\x46\x79\x92\x9d\xe2\xec\x29\xff\xa5\x9a"
57: 92: #define FZ_SHDR_BUMP_EXTS_TYPE			"\x0b\x27\xdf\x42\x39\xe1\x4c\x15\xb5\x8c\x52\x3a\x94\xf6\x13\x3a"
58: 102: #define FZ_SHDR_BGND_EXTS_TYPE			"\xb3\xeb\x0e\x8b\x9b\x24\x4f\x41\x85\x72\x69\x62\x61\x5d\x55\xd7"
59: 112: #define FZ_SHDR_FGND_EXTS_TYPE			"\x7e\xcb\x6b\x4f\x36\xbf\x4b\xb1\x9d\xd7\xc4\xce\x57\xd6\xdb\x1e"
60: 122: #define FZ_CMND_SYST_EXTS_TYPE			"\x61\x9f\x51\x7e\x30\x72\x48\x68\x96\x51\xf6\x8c\x50\x34\x03\xd8"
61: 132: #define FZ_CMND_PROJ_EXTS_TYPE			"\x03\xc4\x2e\xcf\x03\x64\x4b\xd8\xb8\x4b\x77\x4c\x47\x87\x30\xb5"
62: 142: #define FZ_PALT_SYST_EXTS_TYPE			"\x53\x79\xd6\x13\xfb\x7d\x4c\x4c\x9c\x99\xd4\x3d\x5d\x07\xab\x4e"
63: 152: #define FZ_PALT_PROJ_EXTS_TYPE			"\x5d\x6c\x9a\x23\x1c\xdb\x46\xed\xb9\x76\xd0\xeb\xa5\x5f\xf4\xa6"
64: 156: 
65: 157: 
66: 158: 
67: 195: typedef short  (*fz_fsl_std_func_install_func) (
68: 196: 	char 				*func_name, 			
69: 197: 	
70: 198: 	fz_type_enum 		ret_type,  			
71: 202: 	
72: 203: 	fsl_ptr_type_enum	ret_ptr_type,		
73: 205: 	
74: 206: 	fsl_enum_type_enum	ret_enum_type,		
75: 208: 
76: 209: 	long 				nargs,					
77: 210: 	
78: 211: 	fz_type_enum 		*arg_types,			
79: 216: 	
80: 217: 	fsl_ptr_type_enum 	*arg_ptr_types, 	
81: 224: 	
82: 225: 	
83: 226: 	fsl_enum_type_enum 	*arg_enum_types,  	
84: 233: 															
85: 234: 	char		 		*mod,  				
86: 245: 	
87: 246: 	void				*func_exec			
88: 247: 	);
89: 248: 
90: 249: 
91: 298: typedef short  (*fz_fsl_const_install_func) (
92: 299: 	char				*const_name,	 	
93: 300: 	
94: 301: 	fz_type_td			*val,				
95: 302: 	
96: 303: 	fsl_enum_type_enum	enum_val			
97: 306: 	);
98: 307: 
99: 319: 
100: 327: #define FZ_FSL_FSET_TYPE		"\x63\x58\x24\xf4\x06\x7a\x45\x16\xa6\xce\xba\x4e\x05\xc7\xa6\xec"
101: 335: #define FZ_FSL_FSET_NAME		"formZ fsl funcs"
102: 343: #define FZ_FSL_FSET_VERSION		FZPL_VERS_MAKE(5,0,0,0)
103: 344: 
104: 345: typedef	struct fz_fsl_fset
105: 346: {
106: 347: 	fzpl_fset_prvt_data_td					prvt_data;
107: 348: 	
108: 349: 	fz_fsl_std_func_install_func			fsl_std_func_install;		
109: 350: 	fz_fsl_const_install_func				fsl_const_install;			
110: 351: 	
111: 352: 	
112: 359: 	
113: 360: } fz_fsl_fset;
114: 361: 
115: 362: 
116: 363: #ifdef __cplusplus
117: 364: }
118: 365: #endif
119: 366: 
120: 367: 
121: 368: #endif 
