/*************************************************************************
	File:	pcld_pblc.h

	FormZ unstructured translator sample.  Imports and exports point cloud data.

	COPYRIGHT (C) 2001.  All Rights Reserved.
	auto*des*sys, Inc., Columbus, Ohio, USA.
*************************************************************************/


#ifndef __PCLD_FMT_PBLC_H
#define __PCLD_FMT_PBLC_H 1

#include "formz_vendor.h"
#include "fzpl_plugin.h"

/* Point Cloud Translator Plugin Identification */
/* UUID : {fe7715db-519c-42ee-a1ed-fc33bcf91de7} */

#define PCLD_FMT_PLUGIN_ID			"\xfe\x77\x15\xdb\x51\x9c\x42\xee\xa1\xed\xfc\x33\xbc\xf9\x1d\xe7"	/* Reference 2712 */
#define PCLD_FMT_PLUGIN_NAME		"Point Cloud File Translator - SDK Sample"
#define PCLD_FMT_PLUGIN_VERSION		FZPL_VERS_MAKE(6,1,0,0)
#define PCLD_FMT_PLUGIN_VENDOR		FORMZ_VENDOR
#define	PCLD_FMT_PLUGIN_URL			FORMZ_VENDOR_URL
#define	PCLD_FMT_PLUGIN_KEYWD		"Point Cloud"

#endif /*__PCLD_FMT_PBLC_H */
