/*************************************************************************

	form*Z by auto*des*sys, Inc.
	Copyright (c) 1989-2004 auto*des*sys, Inc.  All rights reserved.

	File:			UUID_GEN.h
	Author:			auto*des*sys, Inc.
	Created on:		02/23/04
	Description:	UUID_GEN utility plugin header.

*************************************************************************/

#ifndef __UUID_GEN_H
#define __UUID_GEN_H 1

/************************************************************************
	formZ api headers
*************************************************************************/

/* Required for all plugins */

#include "fzrt_api.h"

/* Required for plugin's created by auto*des*sys, Inc. */

#include "formz_vendor.h"

/* Required for this specific plugin */

#include "fz_util_api.h" /* required for util fset */
#include "fz_fuim_api.h" /* required for fuim fset */


/************************************************************************
	Globals
*************************************************************************/

/* Plugin identification */
#define UUID_GEN_PLUGIN_UUID			"\x5b\x3f\xe6\x34\x92\x34\x11\xd8\xa9\x45\x00\x03\x93\x53\xc6\xe2"
#define UUID_GEN_PLUGIN_VERSION		FZPL_VERS_MAKE(6,1,0,0)
#define UUID_GEN_PLUGIN_VENDOR		FORMZ_VENDOR
#define UUID_GEN_PLUGIN_URL			FORMZ_VENDOR_URL

#define UUID_GEN_FUIM_ID			"\x5b\x3f\xe6\x34\x92\x34\x11\xd8\xa9\x45\x00\x03\x93\x53\xc6\xe2"

/* function set provided by formZ. */
const fzpl_fset_glue_fset* _fsf;

/* formZ provided function sets to hold on to */
fz_fzrt_base_fset		_base_funcs;
fz_fuim_fset			_fuim_funcs;
fz_type_fset			_type_funcs;
fz_fzrt_mem_fset		_mem_funcs;
fz_fzrt_file_fset		_file_funcs;

fzrt_fzr_ref_td			_resource_ref;

/* id assigned at run-time */
fzrt_unsigned_int _uuid_gen_plugin_runtime_id;

/* localization */
#define STRING_SIZE		256
char _name[STRING_SIZE];
char _short_name[STRING_SIZE];

/* number of objects in scene */
fzrt_int num_objs;


#endif /* __UUID_GEN_H */
