/*********************************************************************************************
 *                                                                                           *
 *                                                                                           *
 *   Copyright 1989-2018 by AutoDesSys, Inc.                                                 *
 *                                                                                           *
 *   This software and its associated documentation contains proprietary,                    *
 *   confidential, and trade secret information of AutoDesSys Inc. and may not be            *
 *   disclosed, copied in any form, or used for any purpose except as specifically           *
 *   permitted in writing by AutoDesSys, Inc.                                                *
 *                                                                                           *
 *   AutoDesSys, Inc. grants permission to use the software to those who purchase            *
 *   a license.  Such a usage will be made according to the terms and conditions             *
 *   specified in the license agreement to which a licensee agrees before installing         *
 *   and commencing usage of the software.  The license agreement can be found               *
 *   on the envelop that contains the software CD.                                           *
 *                                                                                           *
 *   AutoDesSys, Inc. also grants permission to licensees to develop extensions to           *
 *   the software, which can be in the form of scripts or plugins.  The permission           *
 *   includes calling the API and call back functions provided by AutoDesSys, Inc.           *
 *   and accessing information relevant to these functions and the general workings          *
 *   of form.Z, but only up to the point to which AutoDesSys, Inc. has chosen to             *
 *   expose, through its form.Z SDK Manual.  All extensions developed by third               *
 *   parties will include a copy of this copyright note in an easily accessible place or     *
 *   a clear instruction to read this original note by AutoDesSys, Inc.                      *
 *                                                                                           *
 *   All the software distributed under a license, either for the purpose of using it or     *
 *   for the purpose of developing extensions, is distributed AS IS, WITHOUT                 *
 *   WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND                                    *
 *   AutoDesSys, Inc. HEREBY DISCLAIMS ALL SUCH WARRANTIES,                                  *
 *   INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF                                         *
 *   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.                                    *
 *                                                                                           *
 *   formZ, RenderZone, and RadioZity are registered trademarks of AutoDesSys, Inc.          *
 *                                                                                           *
 *   form.Z SDK, Version 8.6.3, Dec 03, 2018                                                 *
 *                                                                                           *
 *                                                                                           *
 *********************************************************************************************/


#ifndef __FORMZ_VENDOR_H
#define __FORMZ_VENDOR_H 1



#define AILS_PLUGIN_KEYWD		"Adobe Illustrator"
#define ARTL_PLUGIN_KEYWD		"Artlantis"
#define ASAT_PLUGIN_KEYWD		"ACIS SAT"
#define BMP_PLUGIN_KEYWD		"BMP/DIB"
#define DEM_PLUGIN_KEYWD		"USGS DEM"
#define DWG_PLUGIN_KEYWD		"AutoCAD dwg"
#define DXF_PLUGIN_KEYWD		"AutoCAD DXF"
#define EPSF_PLUGIN_KEYWD		"Encapsulated Postscript EPS"
#define EPX_PLUGIN_KEYWD		"Piranesi EPIX"
#define FACT_PLUGIN_KEYWD		"Electric Image FACT"
#define GIF_PLUGIN_KEYWD		"GIF"					
#define HPGL_PLUGIN_KEYWD		"HPGL"
#define IGES_PLUGIN_KEYWD		"IGES"
#define JPEG_PLUGIN_KEYWD		"JPEG"
#define LSCP_PLUGIN_KEYWD		"LightScape"
#define LWAV_PLUGIN_KEYWD		"LightWave"
#define PICT_PLUGIN_KEYWD		"PICT"
#define PNG_PLUGIN_KEYWD		"PNG"
#define QTIF_PLUGIN_KEYWD		"QuickTime Image"
#define RIB_PLUGIN_KEYWD		"Renderman RIB"
#define STEP_PLUGIN_KEYWD		"STEP"
#define STL_PLUGIN_KEYWD		"STL"
#define SWAV_PLUGIN_KEYWD		"SWAV"
#define SGI_PLUGIN_KEYWD		"SGI"					
#define TGA_PLUGIN_KEYWD		"Targa"
#define TDGF_PLUGIN_KEYWD		"3DGF"
#define TDMF_PLUGIN_KEYWD		"3DMF"
#define TDS_PLUGIN_KEYWD		"3ds"
#define TIFF_PLUGIN_KEYWD		"TIFF"
#define VRML_PLUGIN_KEYWD		"VRML"
#define WAVE_PLUGIN_KEYWD		"Wavefront Obj"
#define WMF_PLUGIN_KEYWD		"Windows Metafile"
#define VET_PLUGIN_KEYWD		"Viewpoint VET"
#define FBX_PLUGIN_KEYWD		"FBX"
#define TDM_PLUGIN_KEYWD		"3DM"					
#define FZKM_PLUGIN_KEYWD		"KMZ"
#define FZCL_PLUGIN_KEYWD		"DAE"

#define FORMZ_VENDOR		"AutoDesSys, Inc."
#define FORMZ_VENDOR_URL	"www.formz.com"

#endif 
